Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class DirectoryResolution

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.AbstractResolution
          org.deegree.ogcwebservices.wcs.configuration.DirectoryResolution

All Implemented Interfaces:
  Comparable, Resolution

    public class DirectoryResolution

extends AbstractResolution

models a `Resolution` by describing the access to the assigned coverages through named directories containing a well defined collection of coverages.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`DirectoryResolution(double minScale, double maxScale, Range[] range, Directory[] directories)`

Method Summary
`void` | `addDirectory(Directory directory)` adds a `Directory` to the `Resolution`
`Directory[]` | `getDirectories()`
`Directory[]` | `getDirectories(Envelope envelope)` returns the `Directories` of a `Resolution` that intersects with the passed `Envelope`
`void` | `removeDirectory(Directory directory)` removes a `Directory` from the `Resolution`
`void` | `setDirectories(Directory[] directories)`

Methods inherited from class org.deegree.ogcwebservices.wcs.configuration.AbstractResolution
`addRange, compareTo, getMaxScale, getMinScale, getRanges, removeRange, setMaxScale, setMinScale, setRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryResolution

    public DirectoryResolution(double minScale,
                               double maxScale,
                               Range[] range,
                               Directory[] directories)
                        throws IllegalArgumentException

Parameters:
  `minScale` -
  `maxScale` -
  `range` -
Throws:
  `IllegalArgumentException`

Method Detail

### getDirectories

    public Directory[] getDirectories()

  Returns:
    Returns the directories.

### getDirectories

    public Directory[] getDirectories(Envelope envelope)

  returns the `Directories` of a `Resolution` that intersects with the passed `Envelope`

  Returns:
    Returns the directories.

### setDirectories

    public void setDirectories(Directory[] directories)

  Parameters:
    `directories` - The directories to set.

### addDirectory

    public void addDirectory(Directory directory)

  adds a `Directory` to the `Resolution`

  Parameters:
    `directory` -

### removeDirectory

    public void removeDirectory(Directory directory)

  removes a `Directory` from the `Resolution`

  Parameters:
    `directory` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org